DEBUG_NMI_LEN = 1
SOUND_VOLUME = 8

music_num = $00
flag_music = $01
Music_zp_base = $02

vmatrix = $1000

* = $1201
basic_start:
!wo basic_stop
!wo 0
!pet $9e, "4621", 0
basic_stop:
!wo 0

!ct scr

test_entry:
    ldx #22
-   lda #' '
    sta vmatrix,x
    dex
    bpl -

    lda #1
    sta flag_music
    lda #SOUND_VOLUME
    sta $900e
    lda #0
test_loop2:
    sta music_num
    jsr music_stop
    lda music_num
    jsr music_init

    ldy #0
    lda music_num
    clc
    adc #$30
    sta vmatrix

test_loop:
    lda #100
-   cmp $9004
    bcs -
    lda #30
-   cmp $9004
    bcc -
    lda #35
-   cmp $9004
    bcc -

    lda #$1a
    sta $900f

    jsr music_play

    lda #$1b
    sta $900f

    lda $900a
    ldy #2
    jsr print_hex

    lda $900b
    ldy #5
    jsr print_hex

    lda $900c
    ldy #8
    jsr print_hex

    lda $900d
    ldy #11
    jsr print_hex

    jsr $ffe4
    beq test_loop

    cmp #$30
    bcc test_loop
    cmp #$37
    bcs test_loop

    sec
    sbc #$30
    jmp test_loop2

; a = number
; y = column
print_hex:
    pha
    lsr
    lsr
    lsr
    lsr
    tax
    lda hexchars,x
    sta vmatrix,y
    iny
    pla
    and #$f
    tax
    lda hexchars,x
    sta vmatrix,y
    rts

hexchars:
!scr "0123456789abcdef"

!src "sound.asm"
!src "music.asm"

